Page 12 of 18 FirstFirst ... 21011121314 ... LastLast
Results 166 to 180 of 269

Thread: Проблемы установки пакетов ipkg и запуска программ

  1. #166
    Join Date
    Dec 2008
    Location
    Киев, Украина
    Posts
    13
    Прописана ли переменная:

    TMPDIR='<куда-то в каталог>'

    и существует ли этот каталог...

    Как я понял сообщение - не найден временный каталог.

  2. #167
    Code:
    [admin@WL-001BFC81700C root]$ df
    Filesystem           1k-blocks      Used Available Use% Mounted on
    /dev/root                 3072      3072         0 100% /
    /dev/discs/disc0/part1   3913496    107504   3607192   3% /opt
    Code:
    [admin@WL-001BFC81700C root]$ cat /opt/etc/ipkg.conf
    #Uncomment the following line for native packages feed (if any)
    #src/gz native http://ipkg.nslu2-linux.org/feeds/optware/oleg/native/stable
    src/gz optware http://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/stable
    dest /opt/ /
    #option verbose-wget
    В ipkg.conf TEMPDIR прописать ?

  3. #168
    Join Date
    Feb 2007
    Location
    Moscow, Russia
    Posts
    3,805
    добавьте в файл ~/.profile следующую строку:

    PHP Code:
    alias ipkg="ipkg -verbose_wget -t /opt/tmp" 

  4. #169

    Question ipkg upgrade хочет поменять OPTWARE_TARGET в S20dbus

    Доброго времени суток.

    В наличии wl-500gp v.1 и прошивка 1.9.2.7-10.
    При очередном обновлении ipkg спрашивает такое:
    Code:
    --- /opt/etc/init.d/S20dbus-ipkg.backup	2007-09-15 10:15:19.000000000 +0300
    +++ /opt/etc/init.d/S20dbus	2009-05-01 13:59:59.000000000 +0300
    @@ -1,5 +1,5 @@
     #! /bin/sh
    -OPTWARE_TARGET=wl500g
    +OPTWARE_TARGET=oleg
     # -*- coding: utf-8 -*-
     # Debian init.d script for D-BUS
     # Copyright © 2003 Colin Walters <walters@debian.org>
    Разрешать ?

  5. #170

    Thumbs up

    Поднимаю вверх

  6. #171
    Join Date
    Feb 2008
    Location
    Dniepropetrovsk, Ukraine
    Posts
    1,527

    Question

    Quote Originally Posted by sapsan View Post
    Разрешать ?
    S20dbus это скрипт запуска самого dbus. думаю ничего старшного в его замене нет.

  7. #172

    Question

    Quote Originally Posted by AndreyPopov View Post
    S20dbus это скрипт запуска самого dbus. думаю ничего старшного в его замене нет.
    Вопрос именно в этом:
    Code:
    -OPTWARE_TARGET=wl500g
    +OPTWARE_TARGET=oleg
    это таки не важно ?

  8. #173
    Join Date
    Feb 2007
    Location
    Moscow, Russia
    Posts
    3,805
    показали бы что ли сам S20dbus. Или вы думаете, что его содержимое очевидно? ИМХО эта строка вообще не нужна, если только она специальным образом там не интерпретируется.

  9. #174
    Quote Originally Posted by al37919 View Post
    показали бы что ли сам S20dbus. Или вы думаете, что его содержимое очевидно? ИМХО эта строка вообще не нужна, если только она специальным образом там не интерпретируется.
    Вот:
    Code:
    #! /bin/sh
    OPTWARE_TARGET=wl500g
    # -*- coding: utf-8 -*-
    # Debian init.d script for D-BUS
    # Copyright © 2003 Colin Walters <walters@debian.org>
    
    PATH=/sbin:/bin:/usr/bin:/usr/sbin:/opt/bin:/opt/sbin
    
    if grep -q ^messagebus: /etc/group; then
            # echo There already is an messagebus group on the system.
            ADDUSER_OPT="-G messagebus"
    fi
    
    if grep -q ^messagebus: /etc/passwd; then
            # echo There already is an messagebus user on the system.
            true
    else
            echo -n "No messagebus user found, creating it... "
            adduser -h /opt/var/run/dbus -g "messagebus daemon" -s /bin/false -D -H $ADDUSER_OPT messagebus > /dev/null 2>&1
            echo done
    fi
    
    set -e
    
    DAEMON=/opt/bin/dbus-daemon
    NAME=dbus
    DAEMONUSER=messagebus
    PIDDIR=/opt/var/run/dbus
    PIDFILE=$PIDDIR/pid
    DESC="system message bus"
    
    test -x $DAEMON || exit 0
    
    # Source defaults file; edit that file to configure this script.
    ENABLED=1
    PARAMS=""
    if [ -e /opt/etc/default/dbus ]; then
      . /opt/etc/default/dbus
    fi
    
    test "$ENABLED" != "0" || exit 0
    
    start_it_up()
    {
      if [ ! -d $PIDDIR ]; then
        mkdir -p $PIDDIR
        chown $DAEMONUSER $PIDDIR
        chgrp $DAEMONUSER $PIDDIR
      fi
      if [ -e $PIDFILE ]; then
        echo "$DESC already started; not starting."
      else
        echo -n "Starting $DESC: "
        ${DAEMON} --system $PARAMS
        echo "$NAME."
      fi
    }
    
    shut_it_down()
    {
      echo -n "Stopping $DESC: "
      if [ -e $PIDFILE ]; then
        kill `cat $PIDFILE`
      else
        killall ${DAEMON}
      fi
      echo "$NAME."
      rm -f $PIDFILE
    }
      
    case "$1" in
      start)
        start_it_up
      ;;
      stop)
        shut_it_down
      ;;
      restart|force-reload)
        shut_it_down
        sleep 1
        start_it_up
      ;;
      *)
        echo "Usage: /opt/etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
        exit 1
      ;;
    esac
      
    exit 0
    Не вижу где тут спойлер ставить...

  10. #175
    Join Date
    Feb 2008
    Location
    Dniepropetrovsk, Ukraine
    Posts
    1,527

    Exclamation

    Quote Originally Posted by sapsan View Post
    Вопрос именно в этом:
    Code:
    -OPTWARE_TARGET=wl500g
    +OPTWARE_TARGET=oleg
    это таки не важно ?
    соверешенно. пусть даже меняет на Oleg - у вас же прошивка от Олега?

  11. #176
    Quote Originally Posted by AndreyPopov View Post
    соверешенно. пусть даже меняет на Oleg - у вас же прошивка от Олега?
    Да. Спасибо

  12. #177

    не устанавливается ipkg...

    ... Постоянно просит libiconv.so.2:

    PHP Code:
    [PHP][admin@WL-0022150B6304 /lib]$ ipkg.sh update
    Downloading http
    ://wl500g.dyndns.org/ipkg/Packages ...
    Connecting to wl500g.dyndns.org[158.250.11.254]:80
    Packages             100
    % |***********************************************************************************************************|   754       00:00 ETA
    Done
    .
    Updated list of available packages in /opt/lib/ipkg/lists/wl500g
    Downloading http
    ://ipkg.nslu2-linux.org/feeds/optware/oleg/cross/stable/Packages ...
    Connecting to ipkg.nslu2-linux.org[140.211.169.169]:80
    Packages             100
    % |***********************************************************************************************************|   461 KB    00:00 ETA
    Done
    .
    Updated list of available packages in /opt/lib/ipkg/lists/optware
    [admin@WL-0022150B6304 /lib]$ ipkg.sh install ipkg
    The following package were previously requested but have not been installed
    :
    ipkg-opt tar gconv-modules mc e2fslibs glib slang ipkg
    Install them now 
    [Y/n] ? n

    Downloading http
    ://wl500g.dyndns.org/ipkg/ipkg_0.99.149-2_mipsel.ipk ...
    Connecting to wl500g.dyndns.org[158.250.11.254]:80
    ipkg_0.99.149
    -2_mips 100% |***********************************************************************************************************| 71113       00:00 ETA
    Done
    .
    tarcan't load library 'libiconv.so.2'
    tar: can'
    t load library 'libiconv.so.2'
    ipkg_install_fileERROR unpacking control.tar.gz from //opt/tmp/ipkg/ipkg_0.99.149-2_mipsel.ipk
    ipkg_get_installERRORFailed to install //opt/tmp/ipkg/ipkg_0.99.149-2_mipsel.ipk
    ipkg_get_installI'll leave it there for you to try a manual installation 
    [/PHP]

    - пробовал переделать на новый репозитарий (отсюда) - не помогло;
    - пробовал качать файлы wget'ом и ставить их из локальной директории - тоже самое (требуется libiconv.so.2);
    - пробовал влоб залить libiconv-1.12.tar.gz, но tar тоже требует libiconv.so.2

    хелп!

  13. #178

    Smile Как собрать ipk-пакет?

    Нашел разные версии ipkg-build.sh, прочитал про струкруту ipk-пакета.
    Все просто вроде бы, пакет собирается, уже и скриптом и руками пробовал собирать, полученные пакеты совпадают по структуре с пакетами в репозитории, но лыжи не едут
    Не хочет ipkg ставить пакет.

    Может что-то не так делаю:
    1. Воссоздаю структуру папок.
    /home/spiderx/onak - корень
    /home/spiderx/onak/CONTROL/
    /home/spiderx/onak/opt/
    /home/spiderx/onak/opt/bin/
    .....................................
    /home/spiderx/onak/opt/var/
    Расспихиваю все по папкам
    2. cd /home/spiderx/
    3. ./ipkg-build.sh onak
    ipkg-build.sh
    Code:
    #!/bin/sh
    
    # ipkg-build -- construct a .ipk from a directory
    # Carl Worth <cworth@east.isi.edu>
    # based on a script by Steve Redler IV, steve@sr-tech.com 5-21-2001
    set -e
    
    ipkg_extract_value() {
    	sed -e "s/^[^:]*:[[:space:]]*//"
    }
    
    required_field() {
    	field=$1
    
    	value=`grep "^$field:" < $CONTROL/control | ipkg_extract_value`
    	if [ -z "$value" ]; then
    		echo "*** Error: $CONTROL/control is missing field $field" >&2
    		return 1
    	fi
    	echo $value
    	return 0
    }
    
    pkg_appears_sane() {
    	local pkg_dir=$1
    
    	local owd=`pwd`
    	cd $pkg_dir
    
    	PKG_ERROR=0
    
    	large_uid_files=`find . -uid +99`
    	if [ -n "$large_uid_files" ]; then
    		echo "*** Warning: The following files have a UID greater than 99.
    You probably want to chown these to a system user: " >&2
    		ls -ld $large_uid_files
    		echo >&2
    	fi
    	    
    
    	if [ ! -f "$CONTROL/control" ]; then
    		echo "*** Error: Control file $pkg_dir/$CONTROL/control not found." >&2
    		cd $owd
    		return 1
    	fi
    
    	pkg=`required_field Package`
    	[ "$?" -ne 0 ] && PKG_ERROR=1
    
    	version=`required_field Version | sed 's/.*://;'`
    	[ "$?" -ne 0 ] && PKG_ERROR=1
    
    	arch=`required_field Architecture`
    	[ "$?" -ne 0 ] && PKG_ERROR=1
    
    	required_field Maintainer >/dev/null
    	[ "$?" -ne 0 ] && PKG_ERROR=1
    
    	required_field Description >/dev/null
    	[ "$?" -ne 0 ] && PKG_ERROR=1
    
    	section=`required_field Section`
    	[ "$?" -ne 0 ] && PKG_ERROR=1
    	if [ -z "$section" ]; then
    	    echo "The Section field should have one of the following values:" >&2
    	    echo "Games, Multimedia, Communications, Settings, Utilies, Applications, Console, Misc" >&2
    	fi
    
    	priority=`required_field Priority`
    	[ "$?" -ne 0 ] && PKG_ERROR=1
    	if [ -z "$priority" ]; then
    	    echo "The Priority field should have one of the following values:" >&2
    	    echo "required, important, standard, optional, extra." >&2
    	    echo "If you don't know which priority value you should be using, then use \`optional'" >&2
    	fi
    
    	if echo $pkg | grep '[a-z0-9.+-]'; then
    		echo "*** Error: Package name $name contains illegal characters, (other than [a-z0-9.+-])" >&2
    		PKG_ERROR=1;
    	fi
    
    	local bad_fields=`sed -ne 's/^\([^[:space:]][^:[:space:]]\+[[:space:]]\+\)[^:].*/\1/p' < $CONTROL/control | sed -e 's/\\n//'`
    	if [ -n "$bad_fields" ]; then
    		bad_fields=`echo $bad_fields`
    		echo "*** Error: The following fields in $CONTROL/control are missing a ':'" >&2
    		echo "	$bad_fields" >&2
    		echo "ipkg-build: This may be due to a missing initial space for a multi-line field value" >&2
    		PKG_ERROR=1
    	fi
    
    	for script in $CONTROL/preinst $CONTROL/postinst $CONTROL/prerm $CONTROL/postrm; do
    		if [ -f $script -a ! -x $script ]; then
    			echo "*** Error: package script $script is not executable" >&2
    			PKG_ERROR=1
    		fi
    	done
    
    	if [ -f $CONTROL/conffiles ]; then
    		for cf in `cat $CONTROL/conffiles`; do
    			if [ ! -f ./$cf ]; then
    				echo "*** Error: $CONTROL/conffiles mentions conffile $cf which does not exist" >&2
    				PKG_ERROR=1
    			fi
    		done
    	fi
    
    	cd $owd
    	return $PKG_ERROR
    }
    
    ###
    # ipkg-build "main"
    ###
    
    case $# in
    1)
    	dest_dir=.
    	;;
    2)
    	dest_dir=$2
    	;;
    *)
    	echo "Usage: ipkg-build <pkg_directory> [<destination_directory>]" >&2
    	exit 1 
    	;;
    esac
    
    pkg_dir=$1
    
    if [ ! -d $pkg_dir ]; then
    	echo "*** Error: Directory $pkg_dir does not exist" >&2
    	exit 1
    fi
    
    # CONTROL is second so that it takes precedence
    CONTROL=
    [ -d $pkg_dir/DEBIAN ] && CONTROL=DEBIAN
    [ -d $pkg_dir/CONTROL ] && CONTROL=CONTROL
    if [ -z "$CONTROL" ]; then
    	echo "*** Error: Directory $pkg_dir has no CONTROL subdirectory." >&2
    	exit 1
    fi
    
    if ! pkg_appears_sane $pkg_dir; then
    	echo >&2
    	echo "ipkg-build: Please fix the above errors and try again." >&2
    	exit 1
    fi
    
    tmp_dir=$dest_dir/IPKG_BUILD.$$
    mkdir $tmp_dir
    
    tar -C $pkg_dir -czf $tmp_dir/data.tar.gz . --exclude=$CONTROL
    tar -C $pkg_dir/$CONTROL -czf $tmp_dir/control.tar.gz .
    
    echo "2.0" > $tmp_dir/debian-binary
    
    pkg_file=$dest_dir/${pkg}_${version}_${arch}.ipk
    tar -C $tmp_dir -czf $pkg_file ./debian-binary ./data.tar.gz ./control.tar.gz
    rm $tmp_dir/debian-binary $tmp_dir/data.tar.gz $tmp_dir/control.tar.gz
    rmdir $tmp_dir
    
    echo "Packaged contents of $pkg_dir into $pkg_file"
    Может кто-то попробует собрать пакет или проинсталить у себя у себя мой недо-пакет.
    onak.tar.gz - все что нужно для пакета, просто разархивировать
    onak_0.3.7-1_mipsel.zip - переименовать в onak_0.3.7-1_mipsel.ipk
    ipkg-build.zip - переименовать в ipkg-build.sh
    Attached Files Attached Files

  14. #179
    Quote Originally Posted by SpiderX View Post
    Нашел разные версии ipkg-build.sh, прочитал про струкруту ipk-пакета.
    Все просто вроде бы, пакет собирается, уже и скриптом и руками пробовал собирать, полученные пакеты совпадают по структуре с пакетами в репозитории, но лыжи не едут
    Не хочет ipkg ставить пакет.


    Может кто-то попробует собрать пакет или проинсталить у себя у себя мой недо-пакет.
    onak.tar.gz - все что нужно для пакета, просто разархивировать
    onak_0.3.7-1_mipsel.zip - переименовать в onak_0.3.7-1_mipsel.ipk
    ipkg-build.zip - переименовать в ipkg-build.sh
    А почему файл control в Виндовой кодировке?
    видимо поэтому его так колбасит?
    Code:
    [admin@WL500w tmp]$ ipkg -test install ./onak_0.3.7-1_mipsel.ipk
    ) to /opt/...ak (0.3.7-1
    Nothing to be done
    An error ocurred, return value: 28.
    Collected errors:
    Only have 0 available blocks on filesystem /, pkg onak needs 2
    Правда если поправить мало что меняется.....
    Code:
    [admin@WL500w tmp]$ ipkg -test install ./onak_ipk/onak_0.3.7-1_mipsel.ipk
    Installing onak (0.3.7-1) to /opt/...
    Nothing to be done
    An error ocurred, return value: 28.
    Collected errors:
    Only have 0 available blocks on filesystem /, pkg onak needs 2
    Посему правим control..... методом научного тыка файл приведен к этому:
    Code:
    Package: onak
    Version: 0.3.7-1
    Architecture: mipsel
    Maintainer: SpiderX (spiderx@spiderx.dp.ua)
    Source: http://www.earth.li/projectpurple/files/onak-0.3.7.tar.gz
    Depends: libuclibc++, libdb, adduser
    Recommends: apache2, httpd, lighttpd
    Section: net
    Priority: optional
    Description: OpenPGP Key Server
    Conflicts:
    Вроде собралось: (только скриптик не сработал )
    Code:
    [admin@WL500w tmp]$ ipkg install ./onak_ipk/onak_0.3.7-1_mipsel.ipk
    Installing onak (0.3.7-1) to /opt/...
    onak: unsatisfied recommendation for apache2
    onak: unsatisfied recommendation for httpd
    Configuring onak
    adduser: unrecognized option `--disabled-login'
    BusyBox v1.10.3 (2008-06-11 06:38:54 UTC) multi-call binary
    
    Usage: adduser [OPTIONS] user_name
    
    Add an user
    
    Options:
            -h DIR          Home directory
            -g GECOS        GECOS field
            -s SHELL        Login shell
            -G GROUP        Add user to existing group
            -S              Create a system user
            -D              Do not assign a password
            -H              Do not create home directory
    
    postinst script returned status 1
    ERROR: onak.postinst returned 1
    Successfully terminated.
    ПС: да кст в ipkg-build.sh поменял

    Code:
    if echo $pkg | grep '[a-z0-9.+-]'; then
    на

    Code:
    if echo $pkg | grep -v '[a-z0-9.+-]'; then
    ППС: сам ipk не собирал никогда.... =))
    Attached Files Attached Files
    Last edited by BcTpe4HbIu; 09-07-2009 at 19:19.

  15. #180
    BcTpe4HbIu
    Спасибо, мил человек

    А почему файл control в Виндовой кодировке?
    видимо поэтому его так колбасит?
    Семён Семёныч...
    Начал пилить всю эту тему под виндой, потом закинул файлы в дропбокс, и дома спокойненько продолжил, забыв про вражескую кодировку

    ПС: да кст в ipkg-build.sh поменял
    Это я ошибся, у меня просто много версий этих "билдов" было — запутался, и не тот залил.
    Я лечил ”[a-z0-9.+-]” → ”[a-z0-9.+-]+”.

    Посему правим control..... методом научного тыка файл приведен к этому:
    Продолжил пилить и допилил до осознания факта, что:
    такую вещь как Installed-Size: ipkg не понимает вообще, и также не терпит ”|” (Recommends: apache2 | httpd | lighttpd).
    В итоге имеем:
    Code:
    Package: onak
    Version: 0.3.7-1
    Architecture: mipsel
    Maintainer: SpiderX (spiderx@spiderx.dp.ua)
    Source: http://www.earth.li/projectpurple/files/onak-0.3.7.tar.gz
    Depends: libuclibc++, libdb, adduser
    Recommends: lighttpd
    Section: net
    Priority: optional
    Description: OpenPGP Key Server
     onak is an OpenPGP compatible keyserver which supports multiple subkeys,
     photo ids and path finding between keys. It can provide an HKP
     compatible interface for use with the --keyserver option of gnupg as
     well as including a command line tool for querying the key database.
    ППС: сам ipk не собирал никогда.... =))
    Аналогично
    Собирал софт, качал деб-пакет, смотрел как там раскидано, раскидывал по папкам, и жил так. Причем делал все скрипя сердцем, понимая что не "верной дорогой идете товарищи". Потому и решил заняться вопросом

    Еще раз спасибо! Пойду ipk-скрипты доводить до ума

Page 12 of 18 FirstFirst ... 21011121314 ... LastLast

Similar Threads

  1. Проблемы с установкой пакетов OptWare & EntWare
    By djserg-minyar in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 64
    Last Post: 06-05-2015, 15:08
  2. Кросскомпиляция пакетов
    By dfayruzov in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 123
    Last Post: 05-11-2014, 21:08
  3. ipkg en wl-500gp v2
    By Nzmeuo in forum Spanish Discussion - Espaсol (ES)
    Replies: 4
    Last Post: 23-08-2012, 15:05
  4. ipkg update error too
    By rosemarie321 in forum WL-500gP Q&A
    Replies: 0
    Last Post: 21-04-2012, 16:14
  5. Install softs even you can't install ipkg
    By once in forum SL-1000 Q&A
    Replies: 0
    Last Post: 21-06-2007, 06:50

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •